﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.MessageCommunication
{
    /// <summary>
    /// 消息名称管理
    /// </summary>
    public class Class_MessageName
    {
        #region 咖博士咖啡机消息名称
        /// <summary>
        /// 咖博士咖啡机制作
        /// </summary>
        public static string DRCoffee_MakeCoffee = "DRCoffee_MakeCoffee";
        /// <summary>
        /// 咖博士咖啡机取消制作咖啡
        /// </summary>
        public static string DRCoffee_CancelMakeCoffee = "DRCoffee_CancelMakeCoffee";
        /// <summary>
        /// 咖博士咖啡机模式设置
        /// </summary>
        public static string DRCoffee_CoffeeCommCmd = "DRCoffee_CoffeeCommCmd";
        /// <summary>
        /// 咖博士咖啡机结束制作
        /// </summary>
        public static string DRCoffee_CoffeEndCook = "DRCoffee_CoffeEndCook";
        #endregion

        #region 广深冰淇淋消息名称
        /// <summary>
        /// 广深冰淇淋机模式设置
        /// </summary>
        public static string GSIceCream_ModeSet = "DRCoffee_CoffeEndCook";
        /// <summary>
        /// 广深冰淇淋机打料
        /// </summary>
        public static string GSIceCream_Discharge = "GSIceCream_Discharge";
        /// <summary>
        /// 广深冰淇淋机结束制作
        /// </summary>
        public static string GSIceCream_EndCook = "GSIceCream_EndCook";
        #endregion

        #region STM32F103RCT6单片机消息名称
        /// <summary>
        /// STM32F103RCT6单片机下杯
        /// </summary>
        public static string SCChip_TakeCup = "SCChip_TakeCup";
        /// <summary>
        /// STM32F103RCT6单片机舵机打料
        /// </summary>
        public static string SCChip_MakeIceCream = "SCChip_MakeIceCream";
        /// <summary>
        /// STM32F103RCT6单片机舵机打开或者关闭
        /// </summary>
        public static string SCChip_SESwitchCream = "SCChip_SESwitchCream";
        /// <summary>
        /// STM32F103RCT6单片机控制冰淇淋机器转
        /// </summary>
        public static string SCChip_RotorSwitch = "SCChip_RotorSwitch";
        #endregion

        #region 伽乐美咖啡机消息名称
        /// <summary>
        /// 伽乐美咖啡机制作
        /// </summary>
        public static string KLMCoffee_MakeCoffee = "KLMCoffee_MakeCoffee";
        /// <summary>
        /// 伽乐美咖啡机取消制作咖啡
        /// </summary>
        public static string KLMCoffee_CancelMakeCoffee = "KLMCoffee_CancelMakeCoffee";
        /// <summary>
        /// 伽乐美咖啡机模式设置
        /// </summary>
        public static string KLMCoffee_CoffeeCommCmd = "KLMCoffee_CoffeeCommCmd";
        /// <summary>
        /// 伽乐美咖啡机结束制作
        /// </summary>
        public static string KLMCoffee_CoffeEndCook = "KLMCoffee_CoffeEndCook";
        #endregion
    }
}
